Package org.flowable.engine.debug

# Class ExecutionTreeUtil

java.lang.Object
org.flowable.engine.debug.ExecutionTreeUtil

public class ExecutionTreeUtil extends Object

Author:
  Joram Barrez

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecutionTreeUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExecutionTree`
  `buildExecutionTree(Collection<org.flowable.engine.impl.persistence.entity.ExecutionEntity> executions)`
  `static ExecutionTree`
  `buildExecutionTree(DelegateExecution executionEntity)`
  `static ExecutionTree`
  `buildExecutionTreeForProcessInstance(Collection<org.flowable.engine.impl.persistence.entity.ExecutionEntity> executions)`
  `static void`
  `collectChildExecutions(org.flowable.engine.impl.persistence.entity.ExecutionEntity rootExecutionEntity, List<org.flowable.engine.impl.persistence.entity.ExecutionEntity> allExecutions)`
  `protected static void`
  `fillExecutionTree(ExecutionTree executionTree, Map<String,List<org.flowable.engine.impl.persistence.entity.ExecutionEntity>> parentMapping)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExecutionTreeUtil

    public ExecutionTreeUtil()

- ## Method Details

  - ### buildExecutionTree

    public static ExecutionTree buildExecutionTree(DelegateExecution executionEntity)

  - ### collectChildExecutions

    public static void collectChildExecutions(org.flowable.engine.impl.persistence.entity.ExecutionEntity rootExecutionEntity, List<org.flowable.engine.impl.persistence.entity.ExecutionEntity> allExecutions)

  - ### buildExecutionTree

    public static ExecutionTree buildExecutionTree(Collection<org.flowable.engine.impl.persistence.entity.ExecutionEntity> executions)

  - ### buildExecutionTreeForProcessInstance

    public static ExecutionTree buildExecutionTreeForProcessInstance(Collection<org.flowable.engine.impl.persistence.entity.ExecutionEntity> executions)

  - ### fillExecutionTree

    protected static void fillExecutionTree(ExecutionTree executionTree, Map<String,List<org.flowable.engine.impl.persistence.entity.ExecutionEntity>> parentMapping)